Package org.apache.calcite.avatica

## Enum Meta.Style

- java.lang.Object
- - java.lang.Enum<Meta.Style>
  - - org.apache.calcite.avatica.Meta.Style

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Meta.Style>`

Enclosing interface:
  Meta

    public static enum Meta.Style
    extends java.lang.Enum<Meta.Style>

How logical fields are represented in the objects returned by the iterator.

### Enum Constant Summary

Enum Constants
`ARRAY`
`LIST`
`MAP`
`OBJECT`
`RECORD`
`RECORD_PROJECTION`

### Constructor Summary

Constructors
`private` `Style()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Meta.Style` `fromProto​(Common.CursorFactory.Style proto)`
`Common.CursorFactory.Style` `toProto()`
`static Meta.Style` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Meta.Style[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OBJECT

    public static final Meta.Style OBJECT

#### RECORD

    public static final Meta.Style RECORD

#### RECORD_PROJECTION

    public static final Meta.Style RECORD_PROJECTION

#### ARRAY

    public static final Meta.Style ARRAY

#### LIST

    public static final Meta.Style LIST

#### MAP

    public static final Meta.Style MAP

### Constructor Detail

#### Style

    private Style()

### Method Detail

#### values

    public static Meta.Style[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Meta.Style c : Meta.Style.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Meta.Style valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toProto

    public Common.CursorFactory.Style toProto()

#### fromProto

    public static Meta.Style fromProto​(Common.CursorFactory.Style proto)